org.apache.fontbox.util

## Class Charsets

- java.lang.Object
- - org.apache.fontbox.util.Charsets

    public final class Charsets
    extends Object

This class provides an instance of all common charsets used to transform byte arrays into strings.

### Field Summary

Fields
`static Charset` `ISO_10646` ISO-10646 Charset
`static Charset` `ISO_8859_1` ISO-8859-1 Charset
`static Charset` `US_ASCII` US-ASCII Charset
`static Charset` `UTF_16` UTF-16 Charset
`static Charset` `UTF_16BE` UTF-16BE Charset

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ISO_8859_1

    public static final Charset ISO_8859_1

ISO-8859-1 Charset

#### UTF_16

    public static final Charset UTF_16

UTF-16 Charset

#### UTF_16BE

    public static final Charset UTF_16BE

UTF-16BE Charset

#### US_ASCII

    public static final Charset US_ASCII

US-ASCII Charset

#### ISO_10646

    public static final Charset ISO_10646

ISO-10646 Charset